Package com.pixelmed.dose

# Class RoleInProcedure

java.lang.Object
com.pixelmed.dose.RoleInProcedure

public class RoleInProcedure extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RoleInProcedure`
`IRRADIATION_ADMINISTERING`
`static final RoleInProcedure`
`IRRADIATION_AUTHORIZING`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItem()`
`static CodedSequenceItem`
`getCodedSequenceItem(RoleInProcedure role)`
`static RoleInProcedure`
`getRoleInProcedure(ContentItem parent)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### IRRADIATION_ADMINISTERING

public static final RoleInProcedure IRRADIATION_ADMINISTERING

### IRRADIATION_AUTHORIZING

public static final RoleInProcedure IRRADIATION_AUTHORIZING

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getRoleInProcedure

public static RoleInProcedure getRoleInProcedure(ContentItem parent)

### getCodedSequenceItem

public static CodedSequenceItem getCodedSequenceItem(RoleInProcedure role) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`